classification
Title: Document zipfile CLI
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: SilentGhost, alanmcintyre, berker.peksag, docs@python, martin.panter, matrixise, python-dev, serhiy.storchaka, twouters, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-10-23 10:36 by serhiy.storchaka, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile_cli_docs.patch serhiy.storchaka, 2016-10-23 10:36
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (9)
msg279250 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-23 10:36
Command-line interface of the zipfile module is supported long time, but it is not documented. Proposed patch documents it. It is based on the documentation of tarfile CLI.
msg279256 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-23 12:24
Serhiy, your patch seems to be good, you can merge it, I have tested it with sphinx and the documentation is fine.

Thanks
msg279760 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-10-31 02:58
LGTM.
msg279807 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2016-10-31 17:04
Serhiy, this needs .. program:: zipfile directive specified before cmdoption. Without it :option:`-c` links to python's -c, rather than zipfile's. The -l and -e are linked correctly, but the option links would have be be changed for all three, i.e. to :option:`-c <zipfile -c>`
msg279819 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-31 18:34
Thanks SilentGhost!
msg279835 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-10-31 21:59
Apparently (haven’t tried myself) if you put “.. program:: zipfile” before the :option: invocations, it changes the default context and you don’t need the <zipfile . . .> bit.

The text in general looks fine. One very minor thing: I would use a hyphen when “command line” is a modifier on another noun, i.e. command-line interface, command-line options.
msg279857 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2016-11-01 07:10
> Apparently (haven’t tried myself) if you put “.. program:: zipfile” before the :option: invocations, it changes the default context and you don’t need the <zipfile . . .> bit.

Yes, moving program directive just after "Command Line Interface" heading works fine.
msg279917 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-02 10:14
New changeset feb6e8678512 by Serhiy Storchaka in branch '2.7':
Issue #28513: Documented command-line interface of zipfile.
https://hg.python.org/cpython/rev/feb6e8678512

New changeset b51bf32defb1 by Serhiy Storchaka in branch '3.5':
Issue #28513: Documented command-line interface of zipfile.
https://hg.python.org/cpython/rev/b51bf32defb1

New changeset 843538a4094b by Serhiy Storchaka in branch '3.6':
Issue #28513: Documented command-line interface of zipfile.
https://hg.python.org/cpython/rev/843538a4094b

New changeset 0c8ffa562f3a by Serhiy Storchaka in branch 'default':
Issue #28513: Documented command-line interface of zipfile.
https://hg.python.org/cpython/rev/0c8ffa562f3a
msg279918 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-02 10:16
Applied both Martin's suggestion. Thank you all!
History
Date User Action Args
2017-03-31 16:36:21dstufftsetpull_requests: + pull_request954
2016-11-02 10:16:03serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg279918

stage: patch review -> resolved
2016-11-02 10:14:10python-devsetnosy: + python-dev
messages: + msg279917
2016-11-02 09:47:19serhiy.storchakasetassignee: docs@python -> serhiy.storchaka
2016-11-01 11:28:39SilentGhostsetcomponents: - XML
2016-11-01 10:55:12armando mendozasetcomponents: + XML
2016-11-01 07:10:10SilentGhostsetmessages: + msg279857
2016-10-31 21:59:40martin.pantersetmessages: + msg279835
2016-10-31 18:34:38serhiy.storchakasetmessages: + msg279819
2016-10-31 17:04:35SilentGhostsetnosy: + SilentGhost

messages: + msg279807
stage: commit review -> patch review
2016-10-31 02:58:06xiang.zhangsetnosy: + xiang.zhang
messages: + msg279760
2016-10-30 17:01:02serhiy.storchakasetnosy: + martin.panter
2016-10-23 12:24:21matrixisesetstage: patch review -> commit review
2016-10-23 12:24:16matrixisesetnosy: + matrixise
messages: + msg279256
2016-10-23 11:05:52serhiy.storchakasettitle: Documment zipfile CLI -> Document zipfile CLI
2016-10-23 10:36:17serhiy.storchakacreate